Zoey REST API reference ยท Interactive version: apidocs.zoey.com
POST https://container-url.zoeysite.com/api/rest/checkout2/cart_comment
Add comments to a cart.
Example request body:
{
"cartId": "244",
"commentData": {
"is_admin_comment": "1",
"is_private_comment": "1",
"comment": "Adding Draft Comment",
"copy_to_order": "0"
}
}
GET https://container-url.zoeysite.com/api/rest/checkout2/cart_comment?id=244
Add comments to a cart.
Query parameters:
| Name | Example | Notes |
|---|---|---|
id | 244 |
Example response (Get):
[
{
"comment_id": "3",
"quote_id": "244",
"is_admin_comment": "1",
"is_private_comment": "1",
"comment": "Test Admin Private Comment",
"created_at": "2022-01-25 13:46:00",
"updated_at": "2022-01-25 13:46:07",
"is_deleted": "0",
"customer_id": null,
"user_id": "13941005728431420482",
"copy_to_order": "0",
"notified_by_email": null
}
]